@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
@import url('variables.css');
@import url('sidebar.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

.text-black {
    color: var(--text-black-color) !important;
}

a, .btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.bg-light-danger {
    background-color: #e69898;
}

.custom-shadow {
    box-shadow: 0 2px 4px 0 rgba(0,0,0, 0.075), 0 2px 4px 0 rgba(0,0,0, 0.075)
}

app {
    position: relative;
    display: flex;
    flex-direction: column;
    height: 100%;
}

.top-row {
    height: 4rem;
    display: flex;
    align-items: center;
}

.main {
    flex: 1;
    overflow: hidden;
}

    .main .top-row {
        background-color: #f7f7f7;
        border-bottom: 1px solid #d6d5d5;
        justify-content: flex-end;
    }

        .main .top-row > a, .main .top-row .btn-link {
            white-space: nowrap;
            margin-left: 1.5rem;
        }

        .main .top-row a:first-child {
            overflow: hidden;
            text-overflow: ellipsis;
        }

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.vr {
    border-right: 1px solid #d6d5d5;
    height: 75%;
}

/*
.invalid {
    outline: 1px solid red;
}
    */

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1050;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.custom-container {
    max-width: 1250px
}

.schedule-executed {
    filter: brightness(75%)
}

.unpayed-text-color {
    color: #b22222 !important;
}

.pnl-bg-success {
    background-color: var(--custom-bg-success-color);
}

.pnl-bg-error {
    background-color: var(--custom-bg-error-color);
}

.pnl-bg-warning {
    background-color: var(--custom-bg-warning-color);
}

.expired-payment {
    background-color: var(--expired-payments-background-color) !important;
}

.expired-sdd-payment {
    background-color: var(--expired-sdd-payments-background-color) !important;
}

.denied-sdd-payment {
    background-color: var(--expired-payments-background-color) !important;
}

.check-period-sdd-payment {
    background-color: var(--check-period-sdd-payment-background-color) !important;
}

@media (max-width: 767.98px) {
    .main .top-row:not(.auth) {
        display: none;
    }

    .main .top-row.auth {
        justify-content: space-between;
    }

    .main .top-row a, .main .top-row .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 768px) {
    app {
        flex-direction: row;
    }

    .main .top-row {
        position: sticky;
        top: 0;
    }
}
